<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** エディタで再利用ブロックであることを知らせる *****/
/* 20200831 admin_enqueue_scriptをエディター以外へ限定したため */
/* wp-edit-blocksでエディターへ反映させるよう変更 */
function haup_restrict_reuse_block_edit(){
	$message = __('This area is sync pattern. Please note that editing will change all content with the same pattern','hima-art-utility');
		
$custom_css = '
.block-library-block__reusable-block-container {
	border: 4px solid #FF0000!important;
}

.block-library-block__reusable-block-container:before {
	content: "'.$message.'"!important;
	font-size:0.8em;
	color:#FF0000;
	margin-top: -24px;
}
';

	wp_add_inline_style( 'wp-edit-blocks', $custom_css );//テーマエディターへインラインでCSS出力
}
add_action('init','haup_restrict_reuse_block_edit');